import java.awt.*;
import java.awt.event.*;

class Main extends Frame {
    Main() {
        super("FocusAdapter Example");
        TextArea ta = new TextArea();

        // Listen for focus events.
        ta.addFocusListener(new FocusEventHandler());

        add(ta, BorderLayout.CENTER);
        pack();
        show();
    }

    class FocusEventHandler extends FocusAdapter {
        public void focusGained(FocusEvent evt) {
            System.out.println("FOCUS_GAINED: "
                +(evt.isTemporary() ? "temporary" : "permanent"));
        }

        public void focusLost(FocusEvent evt) {
            System.out.println("FOCUS_LOST: "
                +(evt.isTemporary() ? "temporary" : "permanent"));
        }
    }

    public static void main(String args[]) {
        new Main();
    }
}
