import java.awt.*;
import java.awt.event.ItemListener;
import java.awt.event.ItemEvent;
class Main extends Frame implements ItemListener {
    CheckboxGroup cgLeft = new CheckboxGroup();
    CheckboxGroup cgRight = new CheckboxGroup();
    Choice choice = new Choice();
    Checkbox cb = new Checkbox("Left", cgLeft, true);

    Main() {
        super("setCheckboxGroup Example");
        Panel p = new Panel(new GridLayout(0, 1));

        add(cb, BorderLayout.NORTH); 

        p.add(new Checkbox("Left", cgLeft, false));
        p.add(new Checkbox("Left", cgLeft, false));
        add(p, BorderLayout.WEST); 

        p = new Panel(new GridLayout(0, 1));
        p.add(new Checkbox("Right", cgRight, false));
        p.add(new Checkbox("Right", cgRight, false));
        add(p, BorderLayout.EAST);

        choice.addItem("None");
        choice.addItem("Left");
        choice.addItem("Right");
        choice.select("Left");
        choice.addItemListener(this);
        add(choice, BorderLayout.SOUTH);

        pack();
        show();
    }

    public void itemStateChanged(ItemEvent evt) {
        String what = (String)(evt.getItem());
        cb.setLabel((String)what);
        if ("None".equals(what)) {
            cb.setCheckboxGroup(null);
        } else if ("Left".equals(what)) {
            cb.setCheckboxGroup(cgLeft);
        } else if ("Right".equals(what)) {
            cb.setCheckboxGroup(cgRight);
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
