import java.awt.*;
class Main extends Frame {
    Main() {
        super("Color Example");
        setSize(100, 100);
        show();
    }

    public void paint(Graphics g) {
        Insets insets = getInsets();
        int x = insets.left, y = insets.top;
        int w = getSize().width - insets.left - insets.right;
        int h = getSize().height - insets.top - insets.bottom;

        g.setColor(new Color(255, 255, 0));
        g.fillOval(x+w/4, y+h/4, w/2, h/2);
    }

    public static void main(String[] args) {
        new Main();
    }
}
