import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    MenuBar mb1 = new MenuBar();
    MenuBar mb2 = new MenuBar();

    Main(String title) {
        super(title);
        Menu menu;

        menu = new Menu("Menu bar 1");
        menu.add("One");
        mb1.add(menu);
        setMenuBar(mb1);

        menu = new Menu("Menu bar 2");
        menu.add("Two");
        mb2.add(menu);

        Button b;
        add(b = new Button("Menu bar 1"), BorderLayout.WEST); 
        b.addActionListener(this);
        add(b = new Button("Menu bar 2"), BorderLayout.EAST); 
        b.addActionListener(this);

        pack();
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        String what = evt.getActionCommand();
        if ("Menu bar 1".equals(what)) {
            setMenuBar(mb1);
        } else if("Menu bar 2".equals(what)) {
            setMenuBar(mb2);
        }
    }

    static public void main(String[] args) {
        Main m = new Main("setMenuBar Example");
    }
}
