import java.awt.*;

class Main extends Frame {
    int dotSize = 15;

    Main() {
        super("getColor Example");
        setSize(150, 150);
        show();
    }

    public void paint(Graphics g) {
        Insets insets = this.getInsets();
        int w = getSize().width-insets.left-insets.right;
        int h = getSize().height-insets.top-insets.bottom;

        Color orig = g.getColor();
        int red = orig.getRed(), blue = orig.getBlue(), green = orig.getGreen();
        int y = 50, x = dotSize;
        for (int i=0; i<10; i++) {
            g.setColor(new Color(red+=10, green+=10, blue+=10));
            g.fillOval(insets.left+x-x%dotSize, insets.top+y-y%dotSize, 
                       dotSize, dotSize);
            x += dotSize;
        }
    } 

    static public void main(String[] args) {
        new Main();
    }
}
