import java.awt.*;
import java.awt.event.*;

public class Main extends Frame implements ActionListener {
    GridBagLayout gbl = new GridBagLayout();

    Main() {
        super("weightx Example");
        setLayout(gbl);
        for (int i=0; i<5; i++) {
            makeButton(i);
        }
        setSize(300, 150);
        show();
    }

    void makeButton(int w) {
        GridBagConstraints c = new GridBagConstraints();
        Button b = new Button("" + w);

        c.weightx = w;
        c.weighty = 1;
        c.fill = GridBagConstraints.BOTH;
        gbl.setConstraints(b, c);
        b.addActionListener(this);
        add(b);
    }

    public void actionPerformed(ActionEvent evt) {
        Button b = (Button)evt.getSource();
        GridBagConstraints gbc = gbl.getConstraints(b);

        if (++gbc.weightx > 4) {
            gbc.weightx = 0;
        }
        gbl.setConstraints(b, gbc);
        b.setLabel("" + gbc.weightx);
        invalidate();
        validate();
    }

    static public void main(String[] args) {
        new Main();
    }
}
