import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    Label l = new Label("Label");
    TextField tf = new TextField(40);

    Main() {
        super("setText Example");
        add(new Canvas(), BorderLayout.CENTER); 
        add(l, BorderLayout.WEST); 
        add(tf, BorderLayout.SOUTH); 
        tf.setText(l.getText());    // init with current text
        tf.addActionListener(this);

        pack();
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        l.setText(tf.getText());

        // the size has changed so get parent to validate itself.
        l.invalidate();
        l.getParent().validate();
    }

    static public void main(String[] args) {
        new Main();
    }
}
