import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ItemListener {
    Menu editMenu = new Menu("Edit");
    Checkbox editMenuCheckbox = 
        new Checkbox("Edit Menu");

    Main() {
        super("add Example");
        MenuBar mb = new MenuBar();

        mb.add(new Menu("File"));
        setMenuBar(mb);

        add(editMenuCheckbox, BorderLayout.NORTH);
        editMenuCheckbox.addItemListener(this);

        setSize(100, 100);
        show();
    }

    static public void main(String[] args) {
        Main m = new Main();
    }

    // Item handler for checkbox
    public void itemStateChanged(ItemEvent evt) {
        if (evt.getStateChange() == ItemEvent.SELECTED) {
            getMenuBar().add(editMenu);
        } else {
            getMenuBar().remove(editMenu);
        }
    }
}
