import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    CardLayout cardLayout = new CardLayout();
    Panel cardPanel = new Panel(cardLayout);
    String[] names = {"one", "two", "three", "four"};

    Main() {
        super("Panel Example");
        Panel p = new Panel(new GridLayout(0, 1));
        Button b;

        // Put column of buttons on the left
        for (int i=0; i<names.length; i++) {
            p.add(b = new Button(names[i]));
            b.addActionListener(this);
        }
        add(p, BorderLayout.WEST);

        // Place card panel in center
        for (int i=0; i<names.length; i++) {
            addPanel(cardPanel, i+1);
        }
        add(cardPanel, BorderLayout.CENTER);
        setSize(300, 150);
        show();
    }

    // Creates a panel with 'count' labels
    void addPanel(Panel parent, int count) {
        Panel p = new Panel();
        Label l;
        for (int i=0; i<count; i++) {
            l = new Label(names[i], Label.CENTER);
            l.setBackground(Color.yellow);
            p.add(l);
        }
        parent.add(names[count-1], p);
    }

    // Action handler for buttons
    public void actionPerformed(ActionEvent evt) {
        cardLayout.show(cardPanel, evt.getActionCommand());
    }

    static public void main(String[] args) {
        new Main();
    }
}
