import java.awt.*;

class Main extends Frame {
    Main () {
        super("TextArea Example");
        Panel p = 
            new Panel(new GridLayout(2, 2));
        TextArea both = new TextArea("Both horizontal and vertical",
                                     10, 10, TextArea.SCROLLBARS_BOTH);
        TextArea hor = new TextArea("Horizontal only",
                                    10, 10, TextArea.SCROLLBARS_HORIZONTAL_ONLY);
        TextArea ver = new TextArea("Vertical only",
                                    10, 10, TextArea.SCROLLBARS_VERTICAL_ONLY);
        TextArea none = new TextArea("No horizontal or vertical",
                                     10, 10, TextArea.SCROLLBARS_NONE);

        p.add(both);
        p.add(hor);
        p.add(ver);
        p.add(none);

        add(p);
        pack();
        show();
    }

    static public void main(String[] args) {
        new Main();
    }
}
