import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements Runnable, ItemListener {
    List l = new List();
    String[] cursors = {
        "DEFAULT_CURSOR",
        "CROSSHAIR_CURSOR",
        "TEXT_CURSOR",
        "WAIT_CURSOR",
        "SW_RESIZE_CURSOR",
        "SE_RESIZE_CURSOR",
        "NW_RESIZE_CURSOR",
        "NE_RESIZE_CURSOR",
        "N_RESIZE_CURSOR",
        "S_RESIZE_CURSOR",
        "W_RESIZE_CURSOR",
        "E_RESIZE_CURSOR",
        "HAND_CURSOR",
        "MOVE_CURSOR",};
    
    Main() {
        super("setCursor Example");
        for (int i=0; i<cursors.length; i++) {
            l.addItem(cursors[i]);
        }
        add(l, BorderLayout.CENTER);

        // Add item listener to list
        l.addItemListener(this);

        (new Thread(this)).start();
        pack();
        show();
    }

    public void itemStateChanged(ItemEvent evt) {
        setCursor(Cursor.getPredefinedCursor(l.getSelectedIndex()));
    }

    public void run() {
        while (true) {
            try {
                Cursor cursor = getCursor();

                setCursor(Cursor.getDefaultCursor());
                Thread.sleep(2000);
                setCursor(cursor);
                Thread.sleep(10000);
            } catch (Exception e) {
            }
        }
    }
            
    static public void main(String[] args) {
        new Main();
    }
}
