import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    FlowLayout layout = new FlowLayout(FlowLayout.RIGHT);
    Main() {
        super("FlowLayout Example");
        List list = new List();

        setLayout(layout);
        Button b;
        add(b = new Button("LEFT"));
        b.addActionListener(this);
        list.addItem("List");
        add(list);
        add(b = new Button("RIGHT"));
        b.addActionListener(this);
        add(b = new Button("CENTER"));
        b.addActionListener(this);

        add(new Button("4"));
        add(new Button("5"));

        setSize(100, 200);
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        String what = evt.getActionCommand();

        if ("LEFT".equals(what)) {
            layout.setAlignment(FlowLayout.LEFT);
        } else if ("CENTER".equals(what)) {
            layout.setAlignment(FlowLayout.CENTER);
        } else if ("RIGHT".equals(what)) {
            layout.setAlignment(FlowLayout.RIGHT);
        }

	String label;
        switch(layout.getAlignment()) {
        case FlowLayout.LEFT: 
            label = "left";
            break;
        case FlowLayout.CENTER:
            label = "center";
            break;
        case FlowLayout.RIGHT:
            label = "right";
            break;
        default:
            label = "example"; // impossible
        }
        setTitle(label);

        invalidate();
        validate();
    }

    public static void main(String[] args) {
        new Main();
    }
}
