import java.awt.*;
import java.awt.event.*;

class Main extends Frame {
    Polygon polygon = new Polygon();

    Main() {
        super("fillPolygon Example");

        addMouseListener(new MouseEventHandler());

        setSize(200, 200);
        show();
    }

    public void paint(Graphics g) {
        g.fillPolygon(polygon);
    }

    class MouseEventHandler extends MouseAdapter {
        public void mousePressed(MouseEvent evt) {
            Insets insets = getInsets();
            int x = insets.left, y = insets.top;

            if (evt.getClickCount() > 1) {    // double-click
                polygon = new Polygon();
            }
            polygon.addPoint(x + evt.getX(), y + evt.getY());
            repaint();
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
