import java.awt.*;

public class Main {
    static public void main(String[] args) {
        GridBagConstraints c = new GridBagConstraints();
        Frame f = new Frame("ipadx Example");

        f.setLayout(new GridBagLayout());
        c.gridwidth = GridBagConstraints.REMAINDER;
        c.ipadx = -6;
        makeButton(f, "- pad", c);
        c.ipadx = 0;
        makeButton(f, "0 pad", c);
        c.ipadx = 6;
        makeButton(f, "+ pad", c);
        f.setSize(200, 200);
        f.show();
    }

    static void makeButton(Container cont, String label, 
                           GridBagConstraints c) {
        GridBagLayout gbl = (GridBagLayout)cont.getLayout();
        Button b = new Button(label);

        cont.add(b);
        gbl.setConstraints(b, c);
    }
}
