import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ItemListener {
    static final int ITEMS = 10;
    static List l = new List(ITEMS, false);
    static Checkbox b = 
        new Checkbox("Multiple-selection Mode", 
        null, false);

    Main() {
        super("Selection Mode Example");

        for (int i = 0; i < ITEMS; i++) {
           l.addItem("item "+i);
        }
        add(l, BorderLayout.CENTER);
        add(b, BorderLayout.SOUTH);

        b.addItemListener(this);
        pack();
        show();
    }

    public void itemStateChanged(ItemEvent evt) {
        l.setMultipleMode(evt.getStateChange() == ItemEvent.SELECTED);
        System.out.println("multiple mode: " + l.isMultipleMode());
    }

    static public void main(String[] args) {
        new Main();
    }
}
