import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    Main() {
        super("MenuBar Example");
        MenuBar mb = new MenuBar();
        Menu m = new Menu("File");

        m.add("New");
        m.add("Open...");
        m.addActionListener(this);
        mb.add(m);

        // To keep it short, these menus don't have menu items.
        mb.add(new Menu("Edit"));
        mb.setHelpMenu(new Menu("Help"));

        // Set the menu bar on the frame.
        setMenuBar(mb);

        setSize(200, 100);    
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        String what = evt.getActionCommand();
        if ("New".equals(what)) {
            // do new
            System.out.println("action performed on New");
        } else if ("Open...".equals(what)) {
            // do open
            System.out.println("action performed on Open ...");
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
