import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    Main() {
        super("MenuItem Example");
        MenuBar mb = new MenuBar();
        Menu m = new Menu("File");
        MenuItem mi;

        mi = new MenuItem("New");
        mi.setEnabled(false);   
        m.add(mi);
        m.add("Open...");
        m.add("-");
        m.add("Exit");
        mb.add(m);
        m.addActionListener(this);

        // Set the menu bar on the frame.
        setMenuBar(mb);

        setSize(100, 100);    
        show();
    }

    // Action handler for menu
    public void actionPerformed(ActionEvent evt) {
        String what = evt.getActionCommand();
        if ("New".equals(what)) {
            // do new
            System.out.println("doing new");
        } else if ("Open...".equals(what)) {
            // do open
            System.out.println("doing open");
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
