import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements TextListener {
    TextArea ta1 = new TextArea(null, 10, 40);
    TextArea ta2 = new TextArea(null, 10, 40);

    Main() {
        super("addTextListener Example");
        setLayout(new GridLayout(1, 2));
        add(ta1);
        add(ta2);

        // Add text listener for text areas
        ta1.addTextListener(this);
        ta2.addTextListener(this);

        pack();
        show();
    }

    public void textValueChanged(TextEvent evt) {
        TextComponent src = (TextComponent)evt.getSource();
        if (src == ta1) {
            ta2.setText(ta1.getText());
        } else {
            ta1.setText(ta2.getText());
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
