import java.awt.*;
import java.awt.event.*;

class Main extends Frame {
    TextArea ta1 = new TextArea(null, 10, 40);
    TextArea ta2 = new TextArea(null, 10, 40);

    Main() {
        super("setText Example");
        setLayout(new GridLayout(1, 2));
        add(ta1);
        add(ta2);

        // Add key listener for text areas
        KeyEventHandler listener = new KeyEventHandler();
        ta1.addKeyListener(listener);
        ta2.addKeyListener(listener);

        pack();
        show();
    }

    class KeyEventHandler extends KeyAdapter {
        public void keyPressed(KeyEvent evt) {
            if (evt.isControlDown() && evt.getKeyCode() == KeyEvent.VK_T) {
                String str = ta1.getText();
            
                ta1.setText(ta2.getText());
                ta2.setText(str);
            }
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
