import java.beans.*;
import java.text.*;

public class StyleEditor extends PropertyEditorSupport {
    int[] styleValues = 
        {DateFormat.SHORT, DateFormat.MEDIUM, 
         DateFormat.LONG, DateFormat.FULL};
    String[] styleNames = 
        {"SHORT", "MEDIUM", "LONG", "FULL"};

    public String[] getTags() {
        return styleNames;
    }

    public String getAsText() {
        int s = ((Integer)getValue()).intValue();

        for (int i=0; i<styleNames.length; i++) {
            if (s == styleValues[i]) {
                return styleNames[i    ];
            }
        }
        // This should not occur
        return null;
    }

    public void setAsText(String text) throws IllegalArgumentException {
        for (int i=0; i<styleNames.length; i++) {
            if (text.equals(styleNames[i])) {
                setValue(new Integer(styleValues[i]));
                return;
            }
        }
        throw new IllegalArgumentException(text);
    }
}
